---
title: "Estudio poligonal"
---

Exploración gráfica a partir de polígonos propios.

# Proceso

## Parte 1 - Polígono (Sesión 3)

Dibuja uno o más polígonos que llamen tu atención como elementos gráficos.

Por el momento te recomiendo no utilizar polígonos regulares porque más adelante veremos cómo construirlos.

### Indicaciones

* Define un **punto de referencia para las coordenadas 0,0** (por ejemplo el *centro*, o la *esquina superior izquierda*)
* Realiza un boceto a mano donde **marques y aproximes las coordenadas de cada vértice** en relación al punto de referencia.
* Traduce estos vértices a un polígono en Processing.
* Ajusta las coordenadas de ser necesario.

### Registra

* Boceto original
* Código del polígono
* Imagen del polígono dibujado por Processing

## Parte 2 - Función (Sesión 4)

### Indicaciones

* Convierte el código de tu polígono (**dibujado respecto a un punto 0,0**) a una función de dibujo sin argumentos.
* Usa esta función de dibujo para experimentar con transformaciones combinadas

### Registra

* Función de dibujo sin argumentos
* Código de tu programa completo
* Imágenes resultantes de tus experimentos

## Parte 3 - Parámetros (Sesión 5)

Construye una función de dibujo con argumentos, y experimenta con ella.

### Indicaciones

* Convierte tu función de dibujo a una que tenga argumentos:
	- Posición x,y
	- *Opcional*: otros parámetros como dimensiones, distancias, etc
* Experimenta a nivel gráfico con esta función:
	- Prueba utilizar variaciones de los parámetros que definiste
	- Utiliza combinaciones de transformaciones
	- Utiliza ciclos `for` para repetir y transformar el dibujo de tu función

### Registra

* Función de dibujo con argumentos
* Código de tu programa completo
* Imágenes resultantes de tus experimentos
* Notas sobre tu proceso en la semana: qué querías lograr, qué obstáculos encontraste, qué hallazgos tuviste, qué ventajas y desventajas le encuentras a esta manera de diseñar, cómo te sentiste, etc.

# Entrega

## Sesión 3:

* Comparte en el foro tus avances (Parte 1 y Parte 2)
* Observa el trabajo de las demás; toma nota y comenta hallazgos que te parezcan interesantes  

## Sesión 4:

* Comparte en el foro tus avances (Parte 2)
* Observa el trabajo de las demás; toma nota y comenta hallazgos que te parezcan interesantes  

## Sesión 5:

* Complementa tu publicación en el foro con tu trabajo en la Parte 3
* Comenta en publicaciones de las demás: ¿hasta qué punto lograron lo que buscaban? ¿qué puedes aprender de lo que hicieron? ¿qué posibilidades encuentras?

# Notas relevantes

* [[Dibujo de polígonos]](/notas/poligonos.html)
* [[Transformaciones]](/notas/transformaciones.html)
* [[Funciones de dibujo]](/notas/funciones-dibujo.html)

