---
title: "Reto: Multiplicidades Paramétricas"
---

# Descripción

Desarrolla una composición visual basada en múltiples instancias de un mismo elemento gráfico diseñado por ti.

Este elemento gráfico ha de dibujarse a partir de al menos una *función de dibujo propia* con *parámetros*, repetida utilizando alguna expresión de ciclo (`for` o `while`).

Obtén al menos tres variaciones distintas modificando parámetros numéricos de tu código.

## Parámetros

Al diseñar este elemento gráfico, decide qué *parámetros* utilizarás para dibujarlo. 

En principio utiliza parámetros de posición `x`, `y`, pero opcionalmente considera agregar parámetros que correspondan a:

* Dimensiones
* Distancias
* Ángulo(s) de rotación
* Colores
* Cantidad de componentes
* etc

## Repetición

Decide de qué manera repetiras a tu elemento base.

Algunas ideas:

* Fila
* Cuadrícula
* Cuadrícula desfasada (ladrillos)
* Aleatoria
* Alrededor de un punto

# Entrega

## Avances

Comparte en el canal *#workshop* tus avances de cada día, siguiendo el cronograma especificado debajo.

Incluye lo siguiente, según aplique:

* Referencias visuales / Análogo
* Boceto(s) realizados
* Resultados visuales: Capturas y/o grabaciones de pantalla
* Descripción de tu proceso: cuáles eran tus objetivos, qué pudiste lograr, qué *obstáculos* y *hallazgos* encontraste, cómo te sentiste.
* Código fuente (formatéalo escribiendo \`\`\` antes y después del código) 
* Dudas que tengas

## Final

Cuando termines tu composición, compártela en el canal *#showroom*:

* Imágenes resultantes
* Título
* Breve descripción

## Retroalimentación

Comenta, pregunta y/o agrega *reacciones* a las publicaciones de las demás!

# Inspiración

Para composiciones **abstractas** te recomiendo inspirarte del [Daily art](https://sasj.tumblr.com/) de Saskia Freeke, o de los sketches de [\_cyber.ia](https://www.instagram.com/_cyber.ia/)

Como alternativa, te invito a inspirarte en multiplicidades **naturales**: una composición de estrellas, copos de nieve, flores, mariposas, etc.

Otra posibilidad sería crear pensando en **tipografía**: ya sea en términos del elemento gráfico base o de la composición completa.


# Cronograma

Tendremos cuatro sesiones para realizar el reto.

Los temas que revisaremos en cada una son:

1. **Funciones** de dibujo y **transformaciones**
2. **Funciones con parámetros**
3. Estrategias de **repetición**, y **aleatoriedad**
4. Estrategias de **repetición**

Los avances a lograr en cada sesión son:

1. Elemento gráfico:
	- Dibujado a partir de **figuras básicas**
	- Expresado como una **función propia**
	- Dibujado varias veces con distintas **transformaciones**
2. Elemento gráfico:
	- **Parametrizado** (al menos posición `x`, `y`)
	- Expresado como una **función con parámetros**
	- Dibujado varias veces con distintos **parámetros**
3. Composición:
	- Boceto a partir de la **repetición** automatizada del **elemento parametrizado**
	- Exploración de variaciones paramétricas
4. Composición final
	- Exploración y captura de variaciones paramétricas
	- Detalles finales
	- Documentación

# Notas relevantes

* [[Ciclos while y for]](/notas/ciclos.html)
* [[Transformaciones]](/notas/transformaciones.html)
* [[Funciones de dibujo]](/notas/funciones-dibujo.html)
* [Tutorial: Copos y flores (Funciones y transformaciones)](/tutoriales/c3-copos-flores.html)

* [[Repeticiones alternadas: Ciclos, módulo y condicionales]](/notas/ciclos-modulo.html)
* [[Ciclos anidados: Repetición en dos dimensiones]](/notas/ciclos-anidados.html)
* [[Gradientes de color]](/notas/gradientes.html)

* [[Dibujo con puntos y líneas]](/notas/lineas.html)
* [[Dibujo con figuras]](/notas/figuras.html)
* [[Ciclo de animación]](/notas/draw.html)
