---
title: "Patrones con líneas"
---

Usaremos esta actividad para repasar y diagnosticar nuestras habilidades y conocimientos para dibujar con Processing.

Aprovecharemos para (re)acercarnos al *pensamiento abstracto* que conviene desarrollar para aprovechar al máximo las posibilidades de la programación.

# Dibujos

Los siguientes son dibujos realizados con líneas. Todos incluyen algún aspecto repetitivo, y algunos son más complejos que otros:

![](/img/c2-patrones-lineas.png)

# Instrucciones

Elige uno de los dibujos, y realiza y responde las siguientes indicaciones:

* Realiza un **sketch** a mano indicando los puntos clave del dibujo, incluyendo sus coordenadas.
* Responde: 
	* ¿Qué **diferencía** a una línea de otra? 
	* ¿Existe algo que se **repita**? ¿Existe algo que se mantenga **constante**?
	* ¿Cómo describirías el **patrón** que existe?
* Escribe un **programa en Processing** que replique el dibujo
	* *Opcional*: Utiliza las variables `width` y `height` para generalizarlo
* Guarda la **imagen** que resulte de ejecutar tu programa

## Versión manual:

* Responde: ¿Qué tendrías que cambiar de tus instrucciones si quisieras... 
	* que tu dibujo tuviera el **doble de líneas** en el mismo espacio? 
	* que tu dibujo se viera igual pero ocupara el **doble de espacio**?

## Versión con ciclos:

* Realiza y documenta al menos dos variaciones distintas que surjan de modificar valores numéricos en las expresiones basadas en repetición que hayas utilizado. Por ejemplo:
	- Cambia la cantidad de repeticiones
	- Cambia las dimensiones de los dibujos
* *Opcional*: Experimenta alterando otras propiedades dentro de tus repeticiones, como el grosor de línea y/o el color.

# Entrega

Sube tus respuestas en el foro correspondiente en Brightspace.

# Notas

* [[Canvas y sistema de coordenadas]](/notas/canvas-y-coordenadas.html)
* [[Dibujo con puntos y líneas]](/notas/lineas.html)
* [[Ciclos while y for]](/notas/ciclos.html)

# Extra

[Más patrones basados en repetición](/img/tabla-patrones.png)
