---
title: "Reto: Transformando Multimedia"
---

# Descripción

Desarrolla una composición basada en información numérica contenida en texto, imágenes y/o sonido.

Para manipular texto usa la clase `String`, para imágenes `PImage`, y/o para el audio la biblioteca `Sound` con sus clases `SoundFile`, `Amplitude` y `FFT`.

Obtén al menos tres variaciones distintas modificando parámetros numéricos de tu código.

Considera el contexto y aplicación de la composición: ¿es una portada de libro? ¿un póster? ¿el prototipo de un muro animado y/o interactivo?

# Entrega

## Avances

Comparte en el canal *#workshop* tus avances de cada día, siguiendo el cronograma especificado debajo.

Incluye lo siguiente, según aplique:

* Referencias visuales / Análogo
* Boceto(s) realizados
* Resultados visuales: Capturas y/o grabaciones de pantalla
* Descripción de tu proceso: cuáles eran tus objetivos, qué pudiste lograr, qué *obstáculos* y *hallazgos* encontraste, cómo te sentiste.
* Código fuente (formatéalo escribiendo \`\`\` antes y después del código) 
* Dudas que tengas

## Final

Cuando termines tu composición, compártela en el canal *#showroom*:

* Imágenes o videos resultantes (si son videos, súbelos a una plataforma de video y comparte su enlace)
* Título
* Breve descripción

La fecha de entrega es el 9 de julio de 2021 antes del medio día (11:59 am)

## Retroalimentación

Comenta, pregunta y/o agrega *reacciones* a las publicaciones de las demás!

# Cronograma

Tendremos cinco sesiones para realizar el reto.

Los temas que revisaremos en cada una son:

1. **Arreglos** numéricos 
2. Cadenas de **texto** (*String*)
3. Manipulación de **imágenes**, arreglo de pixeles
4. Análisis y visualización de **audio**
5. Workshop

Las primeras tres sesiones son para explorar posibilidades, y las últimas dos para desarrollar el reto.


# Notas relevantes

## Repetición

* [[Ciclos while y for]](/notas/ciclos.html)
* [[Repeticiones alternadas: Ciclos, módulo y condicionales]](/notas/ciclos-modulo.html)
* [[Ciclos anidados: Repetición en dos dimensiones]](/notas/ciclos-anidados.html)
* [[Gradientes de color]](/notas/gradientes.html)

## Arreglos

* [[Arreglos: Fundamentos]](/notas/arreglos.html)

## Manipulación de imágenes

* [[Imágenes: Abrir, mostrar, leer]](/notas/imagenes-read.html)
* [[Arreglo de pixeles]](/notas/pixeles.html)
