---
title: "🍃 jardínBit"
---

*inicios de código creativo con Processing.*

# Notas y ejemplos

## Dibujo

### Bases

* [[Canvas y sistema de coordenadas]](/notas/canvas-y-coordenadas.html)
* [[Dibujo con puntos y líneas]](/notas/lineas.html)
* [[Dibujo con figuras]](/notas/figuras.html)
* [[Color]](/notas/color.html)
* [[Notas sobre sintaxis]](/notas/sintaxis.html)
* [[Exportar a diferentes formatos]](/notas/exportar.html)

### Polígonos, transformaciones y funciones

* [[Dibujo de polígonos]](/notas/poligonos.html)
* [[Transformaciones]](/notas/transformaciones.html)
* [[Funciones de dibujo]](/notas/funciones-dibujo.html)
* [[Coordenadas polares]](/notas/coordenadas-polares.html)

## Parámetros y variables

### Bases

* [[Variables: Fundamentos]](/notas/variables.html)
* [[Operadores aritméticos]](/notas/aritmetica.html)
* [[Operador módulo]](/notas/modulo.html)
* [[Mapeo/conversión de valores]](/notas/map.html)

### Más posibilidades

* [[Variables: Contadores, Acumuladores, Banderas]](/notas/variables-modos.html)
* [[Variables y expresiones booleanas]](/notas/boolean.html)

### Ángulos, aleatoriedad y oscilación

* [[Números pseudo-aleatorios]](/notas/random.html)
* [[Ángulos en radianes]](/notas/angulos.html)
* [[Funciones trigonométricas]](/notas/trig.html)

## Control de flujo

### Fundamentos

* [[Expresiones condicionales]](/notas/condicionales.html)
* [[Ciclos while y for]](/notas/ciclos.html)

### Dibujo con repetición

* [[Repeticiones alternadas: Ciclos, módulo y condicionales]](/notas/ciclos-modulo.html)
* [[Ciclos anidados: Repetición en dos dimensiones]](/notas/ciclos-anidados.html)
* [[Gradientes de color]](/notas/gradientes.html)

## Animación e interactividad

* [[Ciclo de animación]](/notas/draw.html)
* [[Interactividad con mouse y teclado]](/notas/interactividad.html)
* [[Animación en función del tiempo (*frameCount*)]](/notas/animacion-frameCount.html)
* [[Animación básica con acumuladores]](/notas/animacion-basica.html)
* [[Visualización de contadores]](/notas/visualizacion-contadores.html)

## Arreglos

* [[Arreglos: Fundamentos]](/notas/arreglos.html)

## Multimedia

* [[Manipulación de texto]](/notas/strings.html)
* [[Visualización de audio]](/notas/sound.html)

### Imágenes

* [[Imágenes: Abrir, mostrar, leer]](/notas/imagenes-read.html)
* [[Imágenes: Transformación de pixeles]](/notas/imagenes-pixeles.html)
* [[Imágenes: Colores, filtros]](/notas/imagenes-colores.html)
* [[Imágenes: Capas y máscaras]](/notas/imagenes-capas.html)
* [[Video: Estructuras básicas]](/notas/video.html)
* [[Arreglo de pixeles]](/notas/pixeles.html)



## Processing 3D

### Fundamentos

* [[P3D: Fundamentos y configuración]](/notasP3D/fundamentos.html)
* [[P3D: Figuras básicas / primitivas]](/notasP3D/primitivas.html)
* [[P3D: Transformaciones]](/notasP3D/transformaciones.html)

### Repetición y abstracción

* [[P3D: Ejemplos de Repetición]](/notasP3D/repeticion.html)
* [[P3D: Ejemplos de Funciones]](/notasP3D/funciones.html)

### Mallas

* [[P3D: Mallas]](/notasP3D/mallas.html)
* [[P3D: Sólidos cilíndricos y cónicos]](/notasP3D/cilindricos-y-conicos.html)
* [[P3D: Retícula]](/notasP3D/reticula.html)
* [[P3D: Exportar mallas OBJ]](/notasP3D/obj.html)

### Apariencia

* [[P3D: Iluminación]](/notasP3D/iluminacion.html)
* [[P3D: Texturas en Mallas]](/notasP3D/texturas.html)

---

# Tutoriales

## Las bases

* [Tutorial: Patrones con líneas](/tutoriales/c2-patrones-lineas.html)

## Nivel intermedio

* [Tutorial: Patrones con líneas con ciclos](/tutoriales/c3-patrones-lineas-ciclos.html)
* [Tutorial: Copos y flores (Funciones y transformaciones)](/tutoriales/c3-copos-flores.html)

---

# Enlaces externos

* [Brunirows Code: Programación en Processing (playlist youtube)](https://www.youtube.com/watch?v=vy3HN3uuhco&list=PLRHX1lEooNYrvCAMcnRc3HuH-06uAeICe)
* [Air Room: Taller introducción a la Programación Creativa con Processing (playlist youtube)](https://www.youtube.com/c/Airroom/playlists?view=50&sort=dd&shelf_id=7)
* [Processing Language Reference](https://processing.org/reference/)
* [The Coding Train](https://thecodingtrain.com/) 
