---
title: "Ángulos en radianes"
---

En el contexto de gráficas computacionales suele usarse la medida angular de *radianes* en vez de la de *grados*.

*Un radián es el ángulo que corresponde a un fragmento de circunferencia cuya longitud es igual a su radio.*

El ángulo que corresponde a la circunferencia completa es 2π radianes.

En Processing los ángulos suelen considerarse en el sentido de las manecillas de reloj (*clockwise*).

El siguiente diagrama muestra algunos valores comunes de ángulos medidos en radianes:

![](/img/radianes.png)

## Constantes

Processing cuenta con las siguientes constantes para referirse a valores comunes de ángulos en radianes:

* `TWO_PI`: Una vuelta completa (360 grados)
* `TAU`: Lo mismo que `TWO_PI`
* `PI`: Media vuelta (180 grados)
* `HALF_PI`: Un cuarto de vuelta (90 grados)
* `QUARTER_PI`: Un octavo de vuelta (45 grados)

Estas constantes se comportan como cualquier literal numérica y podemos realizar operaciones aritméticas con ellas.

Por ejemplo, las tres asignaciones siguientes serían equivalentes:

```java
float a = HALF_PI;
float b = PI/2;
float c = PI*0.5;
```

## Funciones de conversión

### `radians( a )`

Esta función convierte un ángulo en grados a un valor en radianes.

```java
// equivalente a asignar HALF_PI a angulo:
float angulo = radians( 90 );
```

### `degrees( a )`

Esta función convierte un ángulo en radianes a un valor en grados.

```java
// equivalente a asignar 90 a grados:
float grados = degrees( HALF_PI );
```
